#include "Ship/ShipEasyDifficultLvlStrategy.h"

#include "Ship/Ship.h"

bool ShipEasyDifficultLvlStrategy::handle(Ship& ship) const {
    Ship::StatusCode status;
    ship.unload("Rum", ship.crew() / 2, status);
    Ship::StatusCode status2;
    ship.unload("Banana", ship.crew() / 2, status2);

    return status == Ship::StatusCode::OK && status2 == Ship::StatusCode::OK;
}
